// creator  : weidu.exe (version 23600)
// argument : BOB.DLG
// game     : .
// source   : ./override/BOB.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BOB~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #18628 /* ~Finally! Someone has come to save us.~ */
  IF ~~ THEN REPLY #18629 /* ~Do you know something about what's been happening here?~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #18630 /* ~Sure I know what's happening. What do you wanna know?~ */
  IF ~~ THEN REPLY #18632 /* ~What about the missing miners?~ */ GOTO 2
  IF ~~ THEN REPLY #18633 /* ~Have you heard about any creatures in the mines?~ */ GOTO 3
  IF ~~ THEN REPLY #18634 /* ~What about the ore?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #18635 /* ~Oh, them. I told them before they went. Tried to at least. Naturally there must be a dragon down there killing them all. He must be mad about us mining his hill. Poor thing.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26885 /* ~Investigating the Nashkel Mines
A dragon in the mines? Inconceivable!~ */ EXIT
  IF ~Global("X#JaheiraBOB","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraBOB","GLOBAL",1)~ EXTERN ~JAHEIJ~ 124
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #18636 /* ~Just the dragon is all. Haven't actually seen him, but what else could kill all those miners?~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26885 /* ~Investigating the Nashkel Mines
A dragon in the mines? Inconceivable!~ */ EXIT
  IF ~Global("X#JaheiraBOB1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraBOB1","GLOBAL",1)~ EXTERN ~JAHEIJ~ 125
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #18637 /* ~Oh, we don't ship as much out as we used to. We do pretty well considering the shortage of people we have to help, though.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26886 /* ~Investigating the Nashkel Mines
The mines are shipping barely any ore at all, what with the shortage of people.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #45264 /* ~Well, missus, you know better, being an adventurer and all...~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26885 /* ~Investigating the Nashkel Mines
A dragon in the mines? Inconceivable!~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #45264 /* ~Well, missus, you know better, being an adventurer and all...~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26885 /* ~Investigating the Nashkel Mines
A dragon in the mines? Inconceivable!~ */ EXIT
END
